Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ovs.api.datamodel
Class OVMUser

`java.lang.Object
oracle.ovs.api.datamodel.OVMUser`

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  OVMUserConfig

      public class OVMUser

extends java.lang.Object
implements java.io.Serializable

OVMUsere definition

See Also:
  Serialized Form

Constructor Summary
`OVMUser()`

Method Summary
`java.lang.String` | `getAccountName()` accountName
`java.lang.String` | `getAccountStatus()` status
`java.lang.String` | `getEmail()` email
`java.lang.String` | `getFirstName()` firstname
`java.lang.String` | `getLastName()` lastname
`java.lang.String` | `getPassword()` login password
`java.lang.Long` | `getUserId()` id
`void` | `setAccountName(java.lang.String accountName)` accountName,should be unique
`void` | `setAccountStatus(java.lang.String accountStatus)` status,Unlocked or locked
`void` | `setEmail(java.lang.String email)` email
`void` | `setFirstName(java.lang.String firstName)` firstname
`void` | `setLastName(java.lang.String lastName)` lastname
`void` | `setPassword(java.lang.String password)` login password
`void` | `setUserId(java.lang.Long userId)` id

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OVMUser

    public OVMUser()

Method Detail

### setUserId

    public void setUserId(java.lang.Long userId)

  id
  Parameters:
    `userId` -

### getUserId

    public java.lang.Long getUserId()

  id
  Returns:

### setAccountName

    public void setAccountName(java.lang.String accountName)

  accountName,should be unique
  Parameters:
    `accountName` -

### getAccountName

    public java.lang.String getAccountName()

  accountName
  Returns:

### setFirstName

    public void setFirstName(java.lang.String firstName)

  firstname
  Parameters:
    `firstName` -

### getFirstName

    public java.lang.String getFirstName()

  firstname
  Returns:
    firstName

### setLastName

    public void setLastName(java.lang.String lastName)

  lastname
  Parameters:
    `lastName` -

### getLastName

    public java.lang.String getLastName()

  lastname
  Returns:
    lastName

### setEmail

    public void setEmail(java.lang.String email)

  email
  Parameters:
    `email` -

### getEmail

    public java.lang.String getEmail()

  email
  Returns:

### setPassword

    public void setPassword(java.lang.String password)

  login password
  Parameters:
    `password` -

### getPassword

    public java.lang.String getPassword()

  login password
  Returns:

### setAccountStatus

    public void setAccountStatus(java.lang.String accountStatus)

  status,Unlocked or locked
  Parameters:
    `accountStatus` -

### getAccountStatus

    public java.lang.String getAccountStatus()

  status
  Returns:

Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009, Oracle. All rights reserved.